## org.apache.xalan.xpath.xml
Class Trie

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.Trie

public class Trie
extends java.lang.Object

**For internal use only** A digital search trie for 7-bit ASCII text The API is a subset of java.util.Hashtable The key must be a 7-bit ASCII string The value may be any Java Object

Field Summary
`static int` `ALPHA_SIZE` **For internal use only**

Constructor Summary
`Trie()` **For internal use only**

Method Summary
`java.lang.Object` `get(java.lang.String key)` **For internal use only**
`java.lang.Object` `put(java.lang.String key, java.lang.Object value)` **For internal use only**

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALPHA_SIZE

    public static final int ALPHA_SIZE

Constructor Detail

### Trie

    public Trie()

Method Detail

### put

    public java.lang.Object put(java.lang.String key,
                                java.lang.Object value)

### get

    public java.lang.Object get(java.lang.String key)

Copyright © 2000 Apache XML Project. All Rights Reserved.